Delete task
DELETE
/tasks/{id}Deletes a specific task
Example
Section titled “Example”Use resource IDs from your own project. Keep the API token in your server or CI environment.
import { createConfiguration, TasksApi } from '@testcollab/sdk';
const config = createConfiguration(process.env.TESTCOLLAB_TOKEN!);const api = new TasksApi(config);
const result = await api.deleteTask({ "id": 123, "company": 123});console.log(result);curl --request DELETE \ "https://api.testcollab.io/tasks/123?token=$TESTCOLLAB_TOKEN&company=123"Parameters
Section titled “Parameters”| Name | Location | Type | Required | Description |
|---|---|---|---|---|
id |
path | number | Yes | Task ID |
company |
query | integer | Yes | Company ID |
Response
Section titled “Response”200 — Task deleted
{}Errors
Section titled “Errors”| Status | Meaning |
|---|---|
403 |
Forbidden |